<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>JavaForkOptions (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="JavaForkOptions (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/process/JavaForkOptions.html" target="_top">Frames</a></li>
<li><a href="JavaForkOptions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.process</div>
<h2 title="Interface JavaForkOptions" class="title">Interface JavaForkOptions</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a>, <a href="../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html" title="class in org.gradle.plugins.javascript.rhino">RhinoShellExec</a>, <a href="../../../org/gradle/api/tasks/testing/Test.html" title="class in org.gradle.api.tasks.testing">Test</a>, <a href="../../../org/gradle/nativeplatform/test/xctest/tasks/XcTest.html" title="class in org.gradle.nativeplatform.test.xctest.tasks">XcTest</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">JavaForkOptions</span>
extends <a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></pre>
<div class="block"><p>Specifies the options to use to fork a Java process.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#bootstrapClasspath(java.lang.Object...)">bootstrapClasspath</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;classpath)</code>
<div class="block">Adds the given values to the end of the bootstrap classpath for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#copyTo(org.gradle.process.JavaForkOptions)">copyTo</a></strong>(<a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a>&nbsp;options)</code>
<div class="block">Copies these options to the given options.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#getAllJvmArgs()">getAllJvmArgs</a></strong>()</code>
<div class="block">Returns the full set of arguments to use to launch the JVM for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#getBootstrapClasspath()">getBootstrapClasspath</a></strong>()</code>
<div class="block">Returns the bootstrap classpath to use for the process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#getDebug()">getDebug</a></strong>()</code>
<div class="block">Returns true if debugging is enabled for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#getDefaultCharacterEncoding()">getDefaultCharacterEncoding</a></strong>()</code>
<div class="block">Returns the default character encoding to use.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#getEnableAssertions()">getEnableAssertions</a></strong>()</code>
<div class="block">Returns true if assertions are enabled for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#getJvmArgs()">getJvmArgs</a></strong>()</code>
<div class="block">Returns the extra arguments to use to launch the JVM for the process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#getMaxHeapSize()">getMaxHeapSize</a></strong>()</code>
<div class="block">Returns the maximum heap size for the process, if any.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#getMinHeapSize()">getMinHeapSize</a></strong>()</code>
<div class="block">Returns the minimum heap size for the process, if any.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#getSystemProperties()">getSystemProperties</a></strong>()</code>
<div class="block">Returns the system properties which will be used for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#jvmArgs(java.lang.Iterable)">jvmArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;arguments)</code>
<div class="block">Adds some arguments to use to launch the JVM for the process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#jvmArgs(java.lang.Object...)">jvmArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;arguments)</code>
<div class="block">Adds some arguments to use to launch the JVM for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#setAllJvmArgs(java.lang.Iterable)">setAllJvmArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;arguments)</code>
<div class="block">Sets the full set of arguments to use to launch the JVM for the process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#setAllJvmArgs(java.util.List)">setAllJvmArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;arguments)</code>
<div class="block">Sets the full set of arguments to use to launch the JVM for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#setBootstrapClasspath(org.gradle.api.file.FileCollection)">setBootstrapClasspath</a></strong>(<a href="../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</code>
<div class="block">Sets the bootstrap classpath to use for the process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#setDebug(boolean)">setDebug</a></strong>(boolean&nbsp;enabled)</code>
<div class="block">Enable or disable debugging for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#setDefaultCharacterEncoding(java.lang.String)">setDefaultCharacterEncoding</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;defaultCharacterEncoding)</code>
<div class="block">Sets the default character encoding to use.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#setEnableAssertions(boolean)">setEnableAssertions</a></strong>(boolean&nbsp;enabled)</code>
<div class="block">Enable or disable assertions for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#setJvmArgs(java.lang.Iterable)">setJvmArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;arguments)</code>
<div class="block">Sets the extra arguments to use to launch the JVM for the process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#setJvmArgs(java.util.List)">setJvmArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;arguments)</code>
<div class="block">Sets the extra arguments to use to launch the JVM for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#setMaxHeapSize(java.lang.String)">setMaxHeapSize</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;heapSize)</code>
<div class="block">Sets the maximum heap size for the process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#setMinHeapSize(java.lang.String)">setMinHeapSize</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;heapSize)</code>
<div class="block">Sets the minimum heap size for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#setSystemProperties(java.util.Map)">setSystemProperties</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;properties)</code>
<div class="block">Sets the system properties to use for the process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#systemProperties(java.util.Map)">systemProperties</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;properties)</code>
<div class="block">Adds some system properties to use for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaForkOptions.html#systemProperty(java.lang.String,%20java.lang.Object)">systemProperty</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
              <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Adds a system property to use for the process.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.process.ProcessForkOptions">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.process.<a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></h3>
<code><a href="../../../org/gradle/process/ProcessForkOptions.html#copyTo(org.gradle.process.ProcessForkOptions)">copyTo</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#environment(java.util.Map)">environment</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#environment(java.lang.String,%20java.lang.Object)">environment</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#executable(java.lang.Object)">executable</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#getEnvironment()">getEnvironment</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#getExecutable()">getExecutable</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#getWorkingDir()">getWorkingDir</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#setEnvironment(java.util.Map)">setEnvironment</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#setExecutable(java.lang.Object)">setExecutable</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#setExecutable(java.lang.String)">setExecutable</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#setWorkingDir(java.io.File)">setWorkingDir</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#setWorkingDir(java.lang.Object)">setWorkingDir</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#workingDir(java.lang.Object)">workingDir</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSystemProperties()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemProperties</h4>
<pre><a href="../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;getSystemProperties()</pre>
<div class="block">Returns the system properties which will be used for the process.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The system properties. Returns an empty map when there are no system properties.</dd></dl>
</li>
</ul>
<a name="setSystemProperties(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSystemProperties</h4>
<pre>void&nbsp;setSystemProperties(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;properties)</pre>
<div class="block">Sets the system properties to use for the process.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>properties</code> - The system properties. Must not be null.</dd></dl>
</li>
</ul>
<a name="systemProperties(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>systemProperties</h4>
<pre><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a>&nbsp;systemProperties(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;properties)</pre>
<div class="block">Adds some system properties to use for the process.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>properties</code> - The system properties. Must not be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="systemProperty(java.lang.String, java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>systemProperty</h4>
<pre><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a>&nbsp;systemProperty(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                             <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block">Adds a system property to use for the process.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name of the property</dd><dd><code>value</code> - The value for the property. May be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getDefaultCharacterEncoding()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultCharacterEncoding</h4>
<pre><a href="../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
<a href="../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDefaultCharacterEncoding()</pre>
<div class="block">Returns the default character encoding to use.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The default character encoding. Returns null if the <a href="https://docs.oracle.com/javase/7/docs/api/java/nio/charset/Charset.html?is-external=true#defaultCharset()" title="class or interface in java.nio.charset"><code>default character encoding of this JVM</code></a> should be used.</dd></dl>
</li>
</ul>
<a name="setDefaultCharacterEncoding(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultCharacterEncoding</h4>
<pre>void&nbsp;setDefaultCharacterEncoding(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;defaultCharacterEncoding)</pre>
<div class="block">Sets the default character encoding to use.

 Note: Many JVM implementations support the setting of this attribute via system property on startup (namely, the <code>file.encoding</code> property). For JVMs
 where this is the case, setting the <code>file.encoding</code> property via <a href="../../../org/gradle/process/JavaForkOptions.html#setSystemProperties(java.util.Map)"><code>setSystemProperties(java.util.Map)</code></a> or similar will have no effect as
 this value will be overridden by the value specified by <a href="../../../org/gradle/process/JavaForkOptions.html#getDefaultCharacterEncoding()"><code>getDefaultCharacterEncoding()</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>defaultCharacterEncoding</code> - The default character encoding. Use null to use <a href="https://docs.oracle.com/javase/7/docs/api/java/nio/charset/Charset.html?is-external=true#defaultCharset()" title="class or interface in java.nio.charset"><code>this JVM's default charset</code></a></dd></dl>
</li>
</ul>
<a name="getMinHeapSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinHeapSize</h4>
<pre><a href="../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
<a href="../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMinHeapSize()</pre>
<div class="block">Returns the minimum heap size for the process, if any.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The minimum heap size. Returns null if the default minimum heap size should be used.</dd></dl>
</li>
</ul>
<a name="setMinHeapSize(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMinHeapSize</h4>
<pre>void&nbsp;setMinHeapSize(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;heapSize)</pre>
<div class="block">Sets the minimum heap size for the process.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>heapSize</code> - The minimum heap size. Use null for the default minimum heap size.</dd></dl>
</li>
</ul>
<a name="getMaxHeapSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxHeapSize</h4>
<pre><a href="../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
<a href="../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMaxHeapSize()</pre>
<div class="block">Returns the maximum heap size for the process, if any.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The maximum heap size. Returns null if the default maximum heap size should be used.</dd></dl>
</li>
</ul>
<a name="setMaxHeapSize(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxHeapSize</h4>
<pre>void&nbsp;setMaxHeapSize(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;heapSize)</pre>
<div class="block">Sets the maximum heap size for the process.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>heapSize</code> - The heap size. Use null for the default maximum heap size.</dd></dl>
</li>
</ul>
<a name="getJvmArgs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJvmArgs</h4>
<pre><a href="../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
<a href="../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getJvmArgs()</pre>
<div class="block">Returns the extra arguments to use to launch the JVM for the process. Does not include system properties and the
 minimum/maximum heap size.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The arguments. Returns an empty list if there are no arguments.</dd></dl>
</li>
</ul>
<a name="setJvmArgs(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setJvmArgs</h4>
<pre>void&nbsp;setJvmArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;arguments)</pre>
<div class="block">Sets the extra arguments to use to launch the JVM for the process. System properties
 and minimum/maximum heap size are updated.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>arguments</code> - The arguments. Must not be null.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setJvmArgs(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setJvmArgs</h4>
<pre>void&nbsp;setJvmArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;arguments)</pre>
<div class="block">Sets the extra arguments to use to launch the JVM for the process. System properties
 and minimum/maximum heap size are updated.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>arguments</code> - The arguments. Must not be null.</dd></dl>
</li>
</ul>
<a name="jvmArgs(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jvmArgs</h4>
<pre><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a>&nbsp;jvmArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;arguments)</pre>
<div class="block">Adds some arguments to use to launch the JVM for the process.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>arguments</code> - The arguments. Must not be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="jvmArgs(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jvmArgs</h4>
<pre><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a>&nbsp;jvmArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;arguments)</pre>
<div class="block">Adds some arguments to use to launch the JVM for the process.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>arguments</code> - The arguments.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getBootstrapClasspath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBootstrapClasspath</h4>
<pre><a href="../../../org/gradle/api/tasks/Classpath.html" title="annotation in org.gradle.api.tasks">@Classpath</a>
<a href="../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getBootstrapClasspath()</pre>
<div class="block">Returns the bootstrap classpath to use for the process. The default bootstrap classpath for the JVM is used when
 this classpath is empty.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The bootstrap classpath. Never returns null.</dd></dl>
</li>
</ul>
<a name="setBootstrapClasspath(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBootstrapClasspath</h4>
<pre>void&nbsp;setBootstrapClasspath(<a href="../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</pre>
<div class="block">Sets the bootstrap classpath to use for the process. Set to an empty classpath to use the default bootstrap
 classpath for the specified JVM.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>classpath</code> - The classpath. Must not be null. Can be empty.</dd></dl>
</li>
</ul>
<a name="bootstrapClasspath(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bootstrapClasspath</h4>
<pre><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a>&nbsp;bootstrapClasspath(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;classpath)</pre>
<div class="block">Adds the given values to the end of the bootstrap classpath for the process.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>classpath</code> - The classpath.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getEnableAssertions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEnableAssertions</h4>
<pre><a href="../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
boolean&nbsp;getEnableAssertions()</pre>
<div class="block">Returns true if assertions are enabled for the process.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if assertions are enabled, false if disabled</dd></dl>
</li>
</ul>
<a name="setEnableAssertions(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnableAssertions</h4>
<pre>void&nbsp;setEnableAssertions(boolean&nbsp;enabled)</pre>
<div class="block">Enable or disable assertions for the process.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>enabled</code> - true to enable assertions, false to disable.</dd></dl>
</li>
</ul>
<a name="getDebug()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDebug</h4>
<pre><a href="../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
boolean&nbsp;getDebug()</pre>
<div class="block">Returns true if debugging is enabled for the process. When enabled, the process is started suspended and
 listening on port 5005.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true when debugging is enabled, false to disable.</dd></dl>
</li>
</ul>
<a name="setDebug(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDebug</h4>
<pre>void&nbsp;setDebug(boolean&nbsp;enabled)</pre>
<div class="block">Enable or disable debugging for the process. When enabled, the process is started suspended and listening on port
 5005.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>enabled</code> - true to enable debugging, false to disable.</dd></dl>
</li>
</ul>
<a name="getAllJvmArgs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllJvmArgs</h4>
<pre><a href="../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getAllJvmArgs()</pre>
<div class="block">Returns the full set of arguments to use to launch the JVM for the process. This includes arguments to define
 system properties, the minimum/maximum heap size, and the bootstrap classpath.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The arguments. Returns an empty list if there are no arguments.</dd></dl>
</li>
</ul>
<a name="setAllJvmArgs(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAllJvmArgs</h4>
<pre>void&nbsp;setAllJvmArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;arguments)</pre>
<div class="block">Sets the full set of arguments to use to launch the JVM for the process. Overwrites any previously set system
 properties, minimum/maximum heap size, assertions, and bootstrap classpath.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>arguments</code> - The arguments. Must not be null.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setAllJvmArgs(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAllJvmArgs</h4>
<pre>void&nbsp;setAllJvmArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;arguments)</pre>
<div class="block">Sets the full set of arguments to use to launch the JVM for the process. Overwrites any previously set system
 properties, minimum/maximum heap size, assertions, and bootstrap classpath.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>arguments</code> - The arguments. Must not be null.</dd></dl>
</li>
</ul>
<a name="copyTo(org.gradle.process.JavaForkOptions)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>copyTo</h4>
<pre><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a>&nbsp;copyTo(<a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a>&nbsp;options)</pre>
<div class="block">Copies these options to the given options.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>options</code> - The target options.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/process/JavaForkOptions.html" target="_top">Frames</a></li>
<li><a href="JavaForkOptions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
